> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Update Attachment Names

> Bulk update attachment names for multiple attachments at once.



## OpenAPI

````yaml put /attachments/bulk-names
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /attachments/bulk-names:
    put:
      tags:
        - provider
        - scribe
        - attachments
      summary: Bulk Update Attachment Names
      description: Bulk update attachment names for multiple attachments at once.
      operationId: bulk_update_attachment_names_attachments_bulk_names_put
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BulkAttachmentNameUpdate'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: boolean
                title: >-
                  Response Bulk Update Attachment Names Attachments Bulk Names
                  Put
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    BulkAttachmentNameUpdate:
      properties:
        updates:
          items:
            $ref: '#/components/schemas/BulkAttachmentNameUpdateItem'
          type: array
          title: Updates
      type: object
      required:
        - updates
      title: BulkAttachmentNameUpdate
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    BulkAttachmentNameUpdateItem:
      properties:
        attachmentId:
          type: string
          title: Attachmentid
        name:
          type: string
          title: Name
      type: object
      required:
        - attachmentId
        - name
      title: BulkAttachmentNameUpdateItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````